Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85952 - (NET DL2K) D-Link DGE-550SX (DL2000) NIC fails to operate
Summary: (NET DL2K) D-Link DGE-550SX (DL2000) NIC fails to operate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 13:56 UTC by Andy Ascher
Modified: 2013-07-03 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 21:19:17 UTC


Attachments (Terms of Use)

Description Andy Ascher 2003-03-11 13:56:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
1. ifconfig reports HWaddr as 00:00:00:00:00:00
   ping to or from NIC fails
2. manually entered HWaddr w/ number on NIC card
   ping to or from NIC fails
3. /proc/pci identifies NIC
   Bus  2, device  10, function  0:
    Ethernet controller: D-Link System Inc DL2K Ethernet (rev 7).
      IRQ 5.
      Master Capable.  Latency=32.  Min Gnt=10.Max Lat=10.
      I/O at 0xcc00 [0xccff].
      Non-prefetchable 32 bit memory at 0xfe900000 [0xfe9001ff].
4. /var/log/messages acknowledges NIC
   Mar 10 02:06:47 cs2 kernel: eth2: , 00:00:00:00:00:00, IRQ 5
   Mar 10 02:06:47 cs2 kernel: tx_coalesce:^I16 packets
   Mar 10 02:06:47 cs2 kernel: rx_coalesce:^I10 packets
   Mar 10 02:06:47 cs2 kernel: rx_timeout: ^I128000 ns
   Mar 10 02:06:47 cs2 kernel: eth2: Link up
   Mar 10 02:06:47 cs2 kernel: Operating at 1000 Mbps, Full duplex
   Mar 10 02:06:47 cs2 kernel: Enable Tx Flow Control
   Mar 10 02:06:47 cs2 kernel: Enable Rx Flow Control
5. Second NIC installed.  Also failed.
6. uname -rm
   2.4.18-24.7.x i686


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install NIC
2. run ifconfig; ping
3.
    

Additional info:

Comment 1 Andy Ascher 2003-08-05 20:34:09 UTC
The latest up2date (kernel 2.4.20-19.7 and other updates) has fixed this
problem. I am hoping this is a planned fix and not accidental. -Andy Ascher


Note You need to log in before you can comment on or make changes to this bug.